/**
 * This file is auto-generated from the ISDA Common Domain Model, do not edit.
 * Version: 6.0.0-dev.53
 */
  package CapacityUnitEnum
  import . "org_isda_cdm"
  /**
   * Provides enumerated values for capacity units, generally used in the context of defining quantities for commodities.
   */
  
  const (
  /**
   * Denotes Allowances as standard unit.
   */
  ALW CapacityUnitEnum = iota + 1
  /**
   * Denotes a Barrel as a standard unit.
   */
  BBL CapacityUnitEnum = iota + 1
  /**
   * Denotes Billion Cubic Feet as a standard unit.
   */
  BCF CapacityUnitEnum = iota + 1
  /**
   * Denotes Board Feet as a standard unit.
   */
  BDFT CapacityUnitEnum = iota + 1
  /**
   * Denotes Cubic Meters as a standard unit.
   */
  CBM CapacityUnitEnum = iota + 1
  /**
   * Denotes Certified Emissions Reduction as a standard unit.
   */
  CER CapacityUnitEnum = iota + 1
  /**
   * Denotes Climate Reserve Tonnes as a standard unit.
   */
  CRT CapacityUnitEnum = iota + 1
  /**
   * Denotes 10 grams as a standard unit used in precious metals contracts (e.g MCX).
   */
  DAG CapacityUnitEnum = iota + 1
  /**
   * Denotes a single day as a standard unit used in time charter trades.
   */
  DAY CapacityUnitEnum = iota + 1
  /**
   * Denotes Dry Metric Ton (Tonne) Units - Consists of a metric ton of mass excluding moisture.
   */
  DMTU CapacityUnitEnum = iota + 1
  /**
   * Denotes Environmental Credit as a standard unit.
   */
  ENVCRD CapacityUnitEnum = iota + 1
  /**
   * Denotes Environmental Offset as a standard unit.
   */
  ENVOFST CapacityUnitEnum = iota + 1
  /**
   * Denotes a 40 ft. Equivalent Unit container as a standard unit.
   */
  FEU CapacityUnitEnum = iota + 1
  /**
   * Denotes a Gram as a standard unit.
   */
  G CapacityUnitEnum = iota + 1
  /**
   * Denotes a GB Bushel as a standard unit.
   */
  GBBSH CapacityUnitEnum = iota + 1
  /**
   * Denotes a GB British Thermal Unit as a standard unit.
   */
  GBBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a GB Hundredweight unit as standard unit.
   */
  GBCWT CapacityUnitEnum = iota + 1
  /**
   * Denotes a GB Gallon unit as standard unit.
   */
  GBGAL CapacityUnitEnum = iota + 1
  /**
   * Denotes a Thousand GB British Thermal Units as a standard unit.
   */
  GBMBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a Million GB British Thermal Units as a standard unit.
   */
  GBMMBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a GB Ton as a standard unit.
   */
  GBT CapacityUnitEnum = iota + 1
  /**
   * Denotes a GB Thermal Unit as a standard unit.
   */
  GBTHM CapacityUnitEnum = iota + 1
  /**
   * Denotes a Gigajoule as a standard unit.
   */
  GJ CapacityUnitEnum = iota + 1
  /**
   * Denotes a Gigawatt as a standard unit.
   */
  GW CapacityUnitEnum = iota + 1
  /**
   * Denotes a Gigawatt-hour as a standard unit.
   */
  GWH CapacityUnitEnum = iota + 1
  /**
   * Denotes a Hectolitre as a standard unit.
   */
  HL CapacityUnitEnum = iota + 1
  /**
   * Denotes a 100-troy ounces Gold Bar as a standard unit.
   */
  HOGB CapacityUnitEnum = iota + 1
  /**
   * Denotes an ISO British Thermal Unit as a standard unit.
   */
  ISOBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a Thousand ISO British Thermal Unit as a standard unit.
   */
  ISOMBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a Million ISO British Thermal Unit as a standard unit.
   */
  ISOMMBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes an ISO Thermal Unit as a standard unit.
   */
  ISOTHM CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilogram as a standard unit.
   */
  KG CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilolitre as a standard unit.
   */
  KL CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilowatt as a standard unit.
   */
  KW CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilowatt-day as a standard unit.
   */
  KWD CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilowatt-hour as a standard unit.
   */
  KWH CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilowatt-month as a standard unit.
   */
  KWM CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilowatt-minute as a standard unit.
   */
  KWMIN CapacityUnitEnum = iota + 1
  /**
   * Denotes a Kilowatt-year as a standard unit.
   */
  KWY CapacityUnitEnum = iota + 1
  /**
   * Denotes a Litre as a standard unit.
   */
  L CapacityUnitEnum = iota + 1
  /**
   * Denotes a Pound as a standard unit.
   */
  LB CapacityUnitEnum = iota + 1
  /**
   * Denotes a Thousand Barrels as a standard unit.
   */
  MB CapacityUnitEnum = iota + 1
  /**
   * Denotes a Thousand board feet, which are used in contracts on forestry underlyers as a standard unit.
   */
  MBF CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megajoule as a standard unit.
   */
  MJ CapacityUnitEnum = iota + 1
  /**
   * Denotes a Million Barrels as a standard unit.
   */
  MMBBL CapacityUnitEnum = iota + 1
  /**
   * Denotes a Million board feet, which are used in contracts on forestry underlyers as a standard unit.
   */
  MMBF CapacityUnitEnum = iota + 1
  /**
   * Denotes a Thousand square feet as a standard unit.
   */
  MSF CapacityUnitEnum = iota + 1
  /**
   * Denotes a Metric Ton as a standard unit.
   */
  MT CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megawatt as a standard unit.
   */
  MW CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megawatt-day as a standard unit.
   */
  MWD CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megawatt-hour as a standard unit.
   */
  MWH CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megawatt-month as a standard unit.
   */
  MWM CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megawatt-minute as a standard unit.
   */
  MWMIN CapacityUnitEnum = iota + 1
  /**
   * Denotes a Megawatt-year as a standard unit.
   */
  MWY CapacityUnitEnum = iota + 1
  /**
   * Denotes a Troy Ounce as a standard unit.
   */
  OZT CapacityUnitEnum = iota + 1
  /**
   * Denotes a Standard Gold Bar as a standard unit.
   */
  SGB CapacityUnitEnum = iota + 1
  /**
   * Denotes a 20 ft. Equivalent Unit container as a standard unit.
   */
  TEU CapacityUnitEnum = iota + 1
  /**
   * Denotes a US Bushel as a standard unit.
   */
  USBSH CapacityUnitEnum = iota + 1
  /**
   * Denotes a US British Thermal Unit as a standard unit.
   */
  USBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes US Hundredweight unit as a standard unit.
   */
  USCWT CapacityUnitEnum = iota + 1
  /**
   * Denotes a US Gallon unit as a standard unit.
   */
  USGAL CapacityUnitEnum = iota + 1
  /**
   * Denotes a Thousand US British Thermal Units as a standard unit.
   */
  USMBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a Million US British Thermal Units as a standard unit.
   */
  USMMBTU CapacityUnitEnum = iota + 1
  /**
   * Denotes a US Ton as a standard unit.
   */
  UST CapacityUnitEnum = iota + 1
  /**
   * Denotes a US Thermal Unit as a standard unit.
   */
  USTHM CapacityUnitEnum = iota + 1
  )    
